## openjdk-24 24~10ea

=== debian/changelog ===
openjdk-24 (24~10ea-2) unstable; urgency=medium

  * Fix typo in jre-headless dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Aug 2024 02:52:32 +0200

openjdk-24 (24~10ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 10.

  [ Vladimir Petko ]
  * d/changelog: Remove trailing empty line.
  * d/copyright-generator/strip-common-licenses.sh: Add GPLv3 to the
    list of common licenses.
  * d/JB-*.overrides.in, d/s/lintian-overrides: Update lintian overrides.
  * d/control: Add Java 24 Provides.
  * d/t/problemlist.csv: Update problemlist.csv for July release
  * d/t/jtreg-autopkgtest.{in,sh}: Increase jtreg test timeouts.

  [ Emmanuel Bourg ]
  * Restore and update the reproducible-properties-timestamp patch.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 10 Aug 2024 15:50:51 +0200

openjdk-24 (24~8ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 8.

  [ Vladimir Petko ]
  * d/t/write-problems.in: Fix typo that caused all tests present
    in d/t/problems.csv to be excluded.
  * d/t/{jdk,hotspot}-autopkgtest.in: Call d/t/write-problems.sh
    instead of d/t/write-problems.
  * d/t/*.sh: Regenerate tests.
  * d/rules: Enable fallback linker for architectures that do not
    provide a native one.
  * d/rules, d/control.in: Depend on pkgconf rather than pkg-config in
    bookworm and later releases. This resolves lintian warning
    build-depends-on-obsolete-package Build-Depends: pkg-config => pkgconf.
  * d/rules: Drop autotools-dev dependency for the modern debhelper.
    This resolves obsolete autotools-dev dependency lintian warning.
    See #844191.
  * d/t/control.in: allow stderr for smoke tests.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jul 2024 06:17:37 +0200

openjdk-24 (24~7ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 7.

  [ Vladimir Petko ]
  * d/rules: Enable jtreg again.
  * d/t/jni-link.{in,sh}: Drop obsolete test. After JDK-8331541 the build
    will fail if JVM contains undefined symbols.
  * d/rules: Add missing file.
  * d/p/jdk-8334502.patch: Fix iso8601_utctime armhf function.
  * d/p/jdk-8334895-proposed.patch: Resolve configure issue on arm64.
  * d/rules: Include /usr/share/dpkg/buildflags.mk to avoid configure failure
    due to undefined environment variables.
  * d/p/jdk-8335238-workaround.patch: Temporary revert fix for JDK-8320886
    on i386 to fix the ftbfs due to hanging jtreg tests.
  * d/rules, d/t/*: Collate all excluded tests into d/problemlist.csv.
  * d/rules: enable Fallback linker for Foreign Function and Memory API
    on i386 and armhf.
  * d/watch: Use fixed googletest version.
  * d/p/jdk-8336529-proposed.patch: Fix time_t migration issue on armhf,
    unable to set file last modified timestamp.

  [ Matthias Klose ]
  * Build using GCC 14.
  * Install jnativescan into jdk-headless.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Jul 2024 09:01:13 +0200

openjdk-24 (24~4ea-1) experimental; urgency=medium

  * OpenJDK 24 snapshot, Build 4.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jun 2024 19:36:22 +0200

openjdk-23 (23~28ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 28.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Jun 2024 17:35:55 +0200

openjdk-23 (23~20ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 20.

  [ Vladimir Petko ]
  * Add autopkgtest to test that JNI applications using the invocation API
    can be linked.
  * Add autopkgtest for libpcsclite initialisation.

  [ Matthias Klose ]
  * Build using GCC 10 for focal.
  * Fix fontmanager build with system harfbuzz.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 May 2024 06:15:47 +0200

openjdk-23 (23~15ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 15.

  [ Vladimir Petko ]
  * Fix installing the s390x build.
  * Emit warning to install openjdk-*-jre package when fontmanager is
    used, but only openjdk-*-jre-headless is installed.
  * Add support to build --with-hsdis=binutils, but keep it off by default.

  [ Matthias Klose ]
  * Update cups dependencies for time_t64.

  [ Pushkar Kulkarni ]
  * copyright-generator: Derive release from debian/rules.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Mar 2024 14:40:10 +0100

openjdk-23 (23~14ea-1) experimental; urgency=medium

  * OpenJDK 23 snapshot, Build 14.

  [ Vladimir Petko ]
  * Run the hotspot and jdk autopkg tests on all architectures.
  * Add bash, lsb-release and xauth as dependencies for autopkg tests.
  * Build openjdk-23-testsupport packages, containing the binaries
    required to run the autopkg tests.
  * d/t/{hotspot,jdk}-autopkgtest.{sh, in}: Set default arguments to
    tier1 tests, otherwise pass user's arguments while setting correct
    test directory and native path.
  * Fix lintian override package name.

  [ Pushkar Kulkarni ]
  * Corrections to patch arch-add-ports.diff.
  * Fix a typo in the vendor name derivation logic.

  [ Matthias Klose ]
  * Remove the GTK 2.x bits.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 18:17:32 +0100

openjdk-23 (23~13ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 13.

  * libcups2, libfontconfig1: Make it a recommends in jre-headless,
    a dependency in jre.
  * Make the dependencies for libfontmanager.so and libjsound.so
    recommendations in jre-headless, and dependencies in jre.
  * Drop build dependencies on libgtk2 | libgtk3.
  * Disable running the tests for the time_t64 bootstrap.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Mar 2024 23:53:00 +0100

openjdk-23 (23~10ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 10.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Feb 2024 00:31:52 +0100

openjdk-23 (23~6ea-1) unstable; urgency=medium

  * OpenJDK 23 snapshot, Build 6.

  [ Matthias Klose ]
  * Don't try to install jhsdb on armhf with a zero-only build.
  * d/changelog: Whitespace cleanup.
  * Update build dependency on libfontconfig-dev.
  * Apply proposed patch for JDK-8307977. Addresses: #1034600.


