## openjdk-24 24~16ea

=== debian/changelog ===
openjdk-24 (24~16ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 16.
  * Bump standards version.
  * Refresh patches.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Sep 2024 17:08:21 +0200

openjdk-24 (24~14ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 14.

  * Stop providing the versioned names javaNN-sdk-headless, javaNN-sdk,
    javaNN-runtime-headless, javaNN-runtime-headless. The versioned
    provides java-sdk-headless, java-sdk, java-runtime-headless and
    java-runtime-headless exist since OpenJDK 17.

  [ Vladimir Petko ]
  * d/p/reproducible-properties-timestamp.diff: Use PrivilegedAction
    to avoid SecurityManager exception.
  * Enable dtrace support.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2024 22:24:27 +0200
