=== debian/control ===
--- 
+++ 
@@ -13,12 +13,12 @@
   openjdk-23-jdk-headless:native | openjdk-24-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev, libffi-dev:native,
-  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev,
+  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!sh4],
   libnss3-dev (>= 2:3.17.1),
   openjdk-24-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://openjdk.java.net/
 Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk
 Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git
@@ -30,17 +30,7 @@
 Depends: openjdk-24-jre-headless (= ${binary:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Suggests: openjdk-24-demo, openjdk-24-source
-Provides: java-sdk-headless (= ${vm:Version}), java2-sdk-headless,
-  java5-sdk-headless, java6-sdk-headless,
-  java7-sdk-headless, java8-sdk-headless,
-  java9-sdk-headless, java10-sdk-headless,
-  java11-sdk-headless, java12-sdk-headless,
-  java13-sdk-headless, java14-sdk-headless, java15-sdk-headless,
-  java16-sdk-headless, java17-sdk-headless,
-  java18-sdk-headless, java19-sdk-headless,
-  java20-sdk-headless, java21-sdk-headless,
-  java22-sdk-headless, java23-sdk-headless, java24-sdk-headless,
-  java-compiler
+Provides: java-sdk-headless (= ${vm:Version}), java-compiler
 Description: OpenJDK Development Kit (JDK) (headless)
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
@@ -58,16 +48,7 @@
 Suggests: libnss-mdns,
   fonts-dejavu-extra,
   fonts-ipafont-gothic, fonts-ipafont-mincho, fonts-wqy-microhei | fonts-wqy-zenhei, fonts-indic,
-Provides: java-runtime-headless (= ${vm:Version}), java2-runtime-headless,
-  java5-runtime-headless, java6-runtime-headless,
-  java7-runtime-headless, java8-runtime-headless,
-  java9-runtime-headless, java10-runtime-headless,
-  java11-runtime-headless, java12-runtime-headless,
-  java13-runtime-headless, java14-runtime-headless, java15-runtime-headless,
-  java16-runtime-headless, java17-runtime-headless,
-  java19-runtime-headless, java20-runtime-headless, java21-runtime-headless,
-  java22-runtime-headless, java23-runtime-headless,
-  java24-runtime-headless,
+Provides: java-runtime-headless (= ${vm:Version}),
   ${defaultvm:Provides}, ${jvm:Provides}
 Description: OpenJDK Java runtime, using ${vm:Name} (headless)
  Minimal Java runtime - needed for executing non GUI Java programs,
@@ -82,12 +63,7 @@
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: libxt-dev
 Suggests: openjdk-24-demo, openjdk-24-source, visualvm
-Provides: java-sdk (= ${vm:Version}), java2-sdk, java5-sdk, java6-sdk,
-  java7-sdk, java8-sdk, java9-sdk, java10-sdk, java11-sdk,
-  java12-sdk, java13-sdk, java14-sdk, java15-sdk, java16-sdk, java17-sdk,
-  java18-sdk, java19-sdk, java20-sdk, java21-sdk, java22-sdk,
-  java23-sdk, java24-sdk,
-  java-compiler
+Provides: java-sdk (= ${vm:Version}), java-compiler
 Description: OpenJDK Development Kit (JDK)
  OpenJDK is a development environment for building applications,
  applets, and components using the Java programming language.
@@ -100,17 +76,7 @@
   ${dlopenjre:Depends}, ${fontmanager:Depends}, ${jsound:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${dlopenjre:Recommends}, ${bridge:Recommends}, fonts-dejavu-extra
-Provides: java-runtime (= ${vm:Version}), java2-runtime,
-  java5-runtime, java6-runtime,
-  java7-runtime, java8-runtime,
-  java9-runtime, java10-runtime,
-  java11-runtime, java12-runtime,
-  java13-runtime, java14-runtime, java15-runtime,
-  java16-runtime, java17-runtime,
-  java18-runtime, java19-runtime,
-  java20-runtime, java21-runtime,
-  java22-runtime, java23-runtime,
-  java24-runtime
+Provides: java-runtime (= ${vm:Version})
 Description: OpenJDK Java runtime, using ${vm:Name}
  Full Java runtime environment - needed for executing Java GUI and Webstart
  programs, using ${vm:Name}.
