## openjdk-24 24~20ea

=== debian/changelog ===
openjdk-24 (24~20ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 20.

  [ Vladimir Petko ]
  * d/rules: Do not include dtrace support for S390x (JDK-8305174).
  * d/t/problems.csv: Disable jdk/sun/security/util/Debug/DebugOptions.java
    due to JDK-8339713.
  * d/rules: Disable hotspot for i386 (JDK-8341871).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2024 09:05:23 +0200
