=== debian/rules ===
--- 
+++ 
@@ -57,8 +57,10 @@
 multiarch_dir = /$(DEB_HOST_MULTIARCH)
 
 hotspot_archs	= amd64 i386 arm64 armhf ppc64 ppc64el riscv64 s390x
-# see https://bugs.openjdk.org/browse/JDK-8321125
-hotspot_archs	= amd64 i386 arm64 ppc64 ppc64el riscv64 s390x
+# see https://bugs.openjdk.org/browse/JDK-8321125 (armhf removed)
+# see https://bugs.openjdk.org/browse/JDK-8338285,
+# https://bugs.openjdk.org/browse/JDK-8341871 (i386 removed)
+hotspot_archs	= amd64 arm64 ppc64 ppc64el riscv64 s390x
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc ppc64 sh4 x32
 jtreg_archs	+= armel loong64 mipsel mips64el
 jtreg_archs	+= riscv64
@@ -234,6 +236,3 @@
 else ifneq (,$(filter $(distrel),utopic vivid jessie))
   export CC = gcc-4.9
   export CXX = g++-4.9
-  bd_gcc = g++-4.9,
-else ifneq (,$(filter $(distrel),wily))
-  ifneq (,$(filter $(DEB_HOST_ARCH), $(hotspot_archs)))
