## openjdk-24 24~22ea

=== debian/changelog ===
openjdk-24 (24~22ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 22.
  * Consolidate setting of dtrace architectures.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 01 Nov 2024 10:57:23 +0100
