=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
   openjdk-23-jdk-headless:native | openjdk-24-jdk-headless:native,
   libxtst-dev, libxi-dev, libxt-dev, libxaw7-dev, libxrender-dev, libcups2-dev, libasound2-dev, liblcms2-dev, libxinerama-dev, libkrb5-dev, xsltproc, libpcsclite-dev, libxrandr-dev, libelf-dev, libfontconfig-dev, libfreetype-dev, libharfbuzz-dev,
   libffi-dev, libffi-dev:native,
-  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!sh4],
+  zlib1g-dev:native, zlib1g-dev, libattr1-dev, libpng-dev, libjpeg-dev, libgif-dev, systemtap-sdt-dev [!powerpc !ppc64 !ppc64el !sh4 !s390x],
   libnss3-dev (>= 2:3.17.1),
   openjdk-24-jdk-headless <cross>,
 Build-Depends-Indep: graphviz, pandoc,
@@ -154,7 +154,7 @@
  OpenJDK autopkg tests.
 
 Package: openjdk-24-jre-zero
-Architecture: amd64 i386 arm64 ppc64 ppc64el riscv64 s390x
+Architecture: amd64 arm64 ppc64 ppc64el riscv64 s390x
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${dpkg:Depends}
