## openjdk-24 24~30ea

=== debian/changelog ===
openjdk-24 (24~30ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 30.

  [ Vladimir Petko ]
  * d/rules: Set JVM thread size and Java thread size for power architectures and S390x
    to avoid a stack overflow error.

  [ Matthias Klose ]
  * d/rules: Also do the above fix for alpha and sparc64.
  * Try to work-around a ftbfs on alpha.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2025 09:55:53 +0100

openjdk-24 (24~29ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 29.
  * Update VCS attributes.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Dec 2024 09:36:43 +0100

openjdk-24 (24~26ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 26.

  [ Matthias Klose ]
  * d/patches/{atk-wrapper-security,update-permission-test}: Disable.
  * d/patches/warn-fontmanager: Update.

  [ Pushkar Kulkarni ]
  * For jammy, work around GCC ICE on armhf. See LP #1953128.
  * d/t/problems.csv: Update based on recent JTREG runs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Nov 2024 12:21:53 +0100
