=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://openjdk.java.net/
-Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk
-Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git
+Vcs-Browser: https://salsa.debian.org/openjdk-team/openjdk/tree/openjdk-24
+Vcs-Git: https://salsa.debian.org/openjdk-team/openjdk.git -b openjdk-24
 
 Package: openjdk-24-jdk-headless
 Architecture: alpha amd64 arc armel armhf arm64 hppa i386 ia64 loong64 mips mipsel mips64 mips64el powerpc ppc64 ppc64el m68k riscv64 sh4 sparc sparc64 s390x x32
