## openjdk-24 24~33ea

=== debian/changelog ===
openjdk-24 (24~33ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 33.

  [ Vladimir Petko ]
  * d/p/jdk-8347014-proposed.patch: Define MAP_FIXED_NOREPLACE_value for alpha.
  * d/t/problems.csv: Add openjdk-24 and openjdk-25 to the problems.csv.
  * d/rules: Dump complete hs_err_pid and replay_pid logs to stdout.
  * d/t/problems.csv: Fix typo - remove jdk prefix for
    sun/security/util/Debug/DebugOptions.java.
  * d/rules: Disable dtrace on jammy armhf (was not enabled before and cannot
    be built due to a GCC ICE (see LP #2091225).

  [ Matthias Klose ]
  * Try to work-around a ftbfs on alpha. For now we keep the
    zero-alpha-workaround patch enabled instead of jdk-8347014-proposed.
  * d/rules: Also dump logs for zero builds and for build failures.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2025 21:08:07 +0100
