=== debian/changelog ===
openjdk-24 (24+36-1) unstable; urgency=medium

  * OpenJDK 24 final release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Mar 2025 18:15:08 +0100

openjdk-24 (24~36ea-1) unstable; urgency=medium

  * OpenJDK 24 snapshot, Build 36.

  [ Pushkar Kulkarni ]
  * d/control: New graal-builder jdk package.
  * d/rules: Generate graal-builder jdk package.

  [ Matthias Klose ]
  * Fix jvmci package description.
  * Clean up jvmci package.
  * Install changelog and copyright for jvmci.
  * Remove some man pages, that appear with 24~36ea without binaries:
    jabswitch.1, jaccess*.1, kinit.1, klist.1, ktab.1.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2025 14:41:09 +0100
