=== debian/rules ===
--- 
+++ 
@@ -61,9 +61,12 @@
 # see https://bugs.openjdk.org/browse/JDK-8338285,
 # https://bugs.openjdk.org/browse/JDK-8341871 (i386 removed)
 hotspot_archs	= amd64 arm64 ppc64 ppc64el riscv64 s390x
+
 jtreg_archs	= $(hotspot_archs) alpha ia64 powerpc ppc64 sh4 x32
 jtreg_archs	+= armel loong64 mipsel mips64el
 jtreg_archs	+= riscv64
+
+jvmci_archs	= amd64
 
 # FIXME: use bootcycle builds for zero archs?
 bootcycle_build = $(if $(filter $(DEB_HOST_ARCH), $(hotspot_archs)),yes)
@@ -86,11 +89,12 @@
   is_default = yes
 endif
 
-#is_upstream_release = yes
+is_upstream_release = yes
 
 srcdir		= .
 builddir	= build
 zbuilddir	= build-zero
+jvmci_builddir	= build-jvmci
 
 VENDOR		= openjdk
 Vendor		= OpenJDK
@@ -128,6 +132,7 @@
   jdirname	= java-$(shortver)-$(origin)-$(DEB_HOST_ARCH)
   jdiralias	= java-$(jvmver)-$(origin)-$(DEB_HOST_ARCH)
   basedir	= $(TOP)/$(jdirname)
+  jvmci_basedir = $(basedir)-jvmci
   commonbasedir	= $(TOP)/java-$(shortver)-$(origin)-common
   commonbasedir	= $(basedir)
   etcdir	= etc/java-$(shortver)-$(origin)
@@ -136,6 +141,7 @@
   jdirname	= java-$(shortver)-$(origin)
   jdiralias	= java-$(jvmver)-$(origin)
   basedir	= $(TOP)/$(jdirname)
+  jvmci_basedir = $(basedir)-jvmci
   commonbasedir	= $(TOP)/java-$(shortver)-$(origin)
   etcdir	= etc/$(jdirname)
   testsuitedir	=	$(basedir)/testsuite
@@ -158,6 +164,8 @@
   zbuild_target	= images test-image
 endif
 
+jvmci_img	= images/graal-builder-jdk
+jvmci_target	= graal-builder-image
 # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
 COMMA=,
 SPACE = $(EMPTY) $(EMPTY)
@@ -229,10 +237,3 @@
   BUILDJDK_HOME = $(BOOTJDK_HOME)
 endif
 
-ifneq (,$(filter $(distrel),saucy))
-  export CC = gcc-4.8
-  export CXX = g++-4.8
-  bd_gcc = g++-4.8,
-else ifneq (,$(filter $(distrel),utopic vivid jessie))
-  export CC = gcc-4.9
-  export CXX = g++-4.9
