## openjdk-24 24.0.1+9~us1

=== debian/changelog ===
openjdk-24 (24.0.1+9~us1-0ubuntu1~25.04) plucky-security; urgency=medium

  * OpenJDK 24.0.1 release, build 9.
    - CVEs:
      + CVE-2025-21587
      + CVE-2025-30691
      + CVE-2025-30698

  [ Vladimir Petko ]
  * d/t/problems.csv: Disable tests failing due to upstream bugs.

  [ Matthias Klose ]
  * Honour DEB_BUILD_OPTIONS=parallel=N while running jtreg tests
    (Helmut Grohne). Addresses: #1095920.

  * Upload to Ubuntu 25.04.

 -- Pushkar Kulkarni <pushkar.kulkarni@canonical.com>  Thu, 17 Apr 2025 10:41:16 +0530
