## openjdk-24 24.0.1+9

=== debian/changelog ===
openjdk-24 (24.0.1+9-1ubuntu1) questing; urgency=medium

  * d/p/jdk-8359735.patch: fix process tests failing in Ubuntu 25.10
    (questing).
  * d/rules: disable C2 compiler to workaround LP: 2095441.

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 08 Jul 2025 11:45:40 +1200

openjdk-24 (24.0.1+9-1) unstable; urgency=high

  * OpenJDK 24 24.1.0 release.
    - Addresses CVE-2025-30698, CVE-2025-30691, CVE-2025-21587.

  [ Vladimir Petko ]
  * d/t/problems.csv: Disable tests failing due to upstream bugs.

  [ Matthias Klose ]
  * Honour DEB_BUILD_OPTIONS=parallel=N while running jtreg tests (Helmut
    Grohne). Addresses: #1095920.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Apr 2025 13:56:34 +0200
